# SNESRegisterAll

Registers all of the nonlinear solver methods in the SNES package.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode PETSCSNES_DLLEXPORT SNESRegisterAll(const char path[])

Not Collective

### Keywords

SNES, register, all

### See Also

SNESRegisterDestroy()

Level:advanced
Location: src/snes/interface/snesregi.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages